const config = require('./.babelrc.json');

const BABEL_ENV = process.env.BABEL_ENV;

if (BABEL_ENV) {
  const envConfig = config.env[BABEL_ENV];
  if (!envConfig) {
    throw new Error('No config for BABEL_ENV.');
  }
  module.exports = Object.assign(config, envConfig);
} else {
  module.exports = config;
}